package com.clx.performance.dao.impl.settle;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.dao.settle.SettlementOwnerDetailDao;
import com.clx.performance.mapper.settle.SettlementOwnerDetailMapper;
import com.clx.performance.model.settle.SettlementOwnerDetail;
import com.clx.performance.param.pc.owner.PageOwnerSettlementOwnerDetailParam;
import com.msl.common.base.Optional;
import com.msl.common.dao.impl.BaseDaoImpl;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Repository;

/**
 * @Author: aiqinguo
 * @Description: 货主运单计费明细
 * @Date: 2023-10-11 18:04:09
 * @Version: 1.0
 */
@Repository
public class SettlementOwnerDetailDaoImpl extends BaseDaoImpl<SettlementOwnerDetailMapper, SettlementOwnerDetail, Integer> implements SettlementOwnerDetailDao {
    @Override
    public IPage<SettlementOwnerDetail> pageOwnerSettlementOrderDetailList(PageOwnerSettlementOwnerDetailParam param) {
        LambdaQueryWrapper<SettlementOwnerDetail> queryWrapper = lQrWrapper()
                .eq(SettlementOwnerDetail::getSettlementNo,param.getSettlementNo())
                .eq(StringUtils.isNotBlank(param.getChildNo()),SettlementOwnerDetail::getChildNo, param.getChildNo())
                .eq(StringUtils.isNotBlank(param.getOrderNo()),SettlementOwnerDetail::getOrderNo, param.getOrderNo())
                .eq(StringUtils.isNotBlank(param.getSettlementSubNo()),SettlementOwnerDetail::getSettlementSubNo, param.getSettlementSubNo());
        queryWrapper.orderByDesc(SettlementOwnerDetail::getId);
        return Optional.ofNullable(super.page(Page.of(param.getPage(), param.getPageSize()), queryWrapper))
                .orElse(Page.of(param.getPage(), param.getPageSize()));
    }
}
